Package gaia.cu9.tools.parallax.PDF

# Class UniformDistanceDEM

java.lang.Object
gaia.cu9.tools.parallax.PDF.DistanceEstimationMethod
gaia.cu9.tools.parallax.PDF.UniformDistanceDEM

Direct Known Subclasses:
  `HaywoodUniformDistanceDEM`

public class UniformDistanceDEM extends DistanceEstimationMethod

## Constructor Summary

Constructors
Constructor
Description
`UniformDistanceDEM(double varPi, double sigma, double rLim)`
Initialize the uniform distance prior PDF.
`UniformDistanceDEM(StarVariables star, double rLim)`

## Method Summary

Modifier and Type
Method
Description
`protected PDF`
`createDistancePdf()`
`protected PDF`
`createModulusPdf()`

### Methods inherited from class gaia.cu9.tools.parallax.PDF.DistanceEstimationMethod

`getDistanceModulusPDF, getDistancePDF, initPdfs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UniformDistanceDEM

public UniformDistanceDEM(StarVariables star, double rLim)

### UniformDistanceDEM

public UniformDistanceDEM(double varPi, double sigma, double rLim)
Initialize the uniform distance prior PDF. Inputs should be in consistent units, i.e. if parallax measurements are in MAS then distance should be in KPC.

## Method Details

### createDistancePdf

protected PDF createDistancePdf()

Specified by:
  `createDistancePdf` in class `DistanceEstimationMethod`

### createModulusPdf

protected PDF createModulusPdf()

Specified by:
  `createModulusPdf` in class `DistanceEstimationMethod`